[android-components](../../../../index.md) / [mozilla.components.concept.engine.prompt](../../../index.md) / [PromptRequest](../../index.md) / [Authentication](../index.md) / [Method](./index.md)

# Method

`enum class Method` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/concept/engine/src/main/java/mozilla/components/concept/engine/prompt/PromptRequest.kt#L174)

### Enum Values

| Name | Summary |
|---|---|
| [HOST](-h-o-s-t.md) |  |
| [PROXY](-p-r-o-x-y.md) |  |
